updateDocumentInstance

Update specified document instance.

Uploads an external document which does not depend on templates of the document. The document type and reference object are resolved in the context of the session client. The archive options are defined in the referenced document type. Like POST /documentInstance/{referenceType}/{referenceNumber}/{documentType} the uploaded document can be queried, deleted and fetched by calling the corresponding method with the received documentId.The document also has a date to which this document is at least stored in the document store.
Currently only PDF up to a maximum size of 10MB is supported.

Path Params
string
required

Document reference type

string
required

Document reference number

string
required

Document type

Query Params
boolean
Defaults to true

Automatically create reference object

string

Document file name

int32

How long should the generated document be retained (max 90 days)

tag
array of strings

Additional tags that help to further describe the document (e.g. document source system, context, category...) and allows it to be found again by browsing and searching.

Tags must follow the kebab case naming convention(lowercase, and words are separated by hyphens)

Existing tags are retained if no value is defined. Defined values replace the existing tags. To delete all text without creating a tag, an empty tag has to be defined (e.g. &tag=)

tag
Body Params

Document data

Responses
204

Document instance was updated

400

Document was not found

404

Reference object was not found

410

Document has already expired

423

Document locked when updating content store

Language
Credentials
Response
Click Try It! to start a request and see the response here!